# Class pyglet.media.ManagedSoundPlayer

    event.EventDispatcher --+
                            |
                       Player --+
                                |
                               ManagedSoundPlayer

A player which takes care of updating its own audio buffers.

This player will continue playing the sound until the sound is finished, even if the application discards the player early.

Only one source can be queued on the player; the player will be discarded when the source finishes.

## Events

| on_eos() The player has reached the end of the current source. (Inherited from pyglet.media.Player)

## Methods

| __init__(self)
| stop(self)
| dispatch_event(self, event_type, *args) Dispatch a single event to the attached handlers. (Inherited from pyglet.event.EventDispatcher)
| dispatch_events(self, dt=None) Dispatch any pending events and perform regular heartbeat functions to maintain playback. (Inherited from pyglet.media.Player)
| event(self, *args) Function decorator for an event handler. (Inherited from pyglet.event.EventDispatcher)
pyglet.image.Texture | get_texture(self) Get the texture for the current video frame. (Inherited from pyglet.media.Player)
| next(self) Move immediately to the next queued source. (Inherited from pyglet.media.Player)
| pause(self) Pause playback of the current source. (Inherited from pyglet.media.Player)
| play(self) Begin playing the current source. (Inherited from pyglet.media.Player)
| pop_handlers(self) Pop the top level of event handlers off the stack. (Inherited from pyglet.event.EventDispatcher)
| push_handlers(self, *args, **kwargs) Push a level onto the top of the handler stack, then attach zero or more event handlers. (Inherited from pyglet.event.EventDispatcher)
| queue(self, source) Queue the source on this player. (Inherited from pyglet.media.Player)
| register_event_type(cls, name) Register an event type with the dispatcher. (Inherited from pyglet.event.EventDispatcher)
| remove_handler(self, name, handler) Remove a single event handler. (Inherited from pyglet.event.EventDispatcher)
| remove_handlers(self, *args, **kwargs) Remove event handlers from the event stack. (Inherited from pyglet.event.EventDispatcher)
| seek(self, timestamp) Seek for playback to the indicated timestamp in seconds on the current source. (Inherited from pyglet.media.Player)
| set_handler(self, name, handler) Attach a single event handler. (Inherited from pyglet.event.EventDispatcher)
| set_handlers(self, *args, **kwargs) Attach one or more event handlers to the top level of the handler stack. (Inherited from pyglet.event.EventDispatcher)

## Properties

str | eos_action The fixed eos_action is EOS_STOP, in which the player is discarded as soon as the source has finished.
float | cone_inner_angle The interior angle of the inner cone. (Inherited from pyglet.media.Player)
3-tuple of float | cone_orientation The direction of the sound in 3D space. (Inherited from pyglet.media.Player)
float | cone_outer_angle The interior angle of the outer cone. (Inherited from pyglet.media.Player)
float | cone_outer_gain The gain applied outside the cone. (Inherited from pyglet.media.Player)
float | max_distance The distance at which no further attenuation is applied. (Inherited from pyglet.media.Player)
float | min_distance The distance beyond which the sound volume drops by half, and within which no attenuation is applied. (Inherited from pyglet.media.Player)
float | pitch The pitch shift to apply to the sound. (Inherited from pyglet.media.Player)
bool | playing Determine if the player state is playing. (Inherited from pyglet.media.Player)
3-tuple of float | position The position of the sound in 3D space. (Inherited from pyglet.media.Player)
Source | source Return the current source. (Inherited from pyglet.media.Player)
pyglet.image.Texture | texture The video texture. (Inherited from pyglet.media.Player)
float | time Retrieve the current playback time of the current source. (Inherited from pyglet.media.Player)
float | volume The volume level of sound playback. (Inherited from pyglet.media.Player)

## Class Variables

| event_types = ``[``'``on_eos``'``]`` (Inherited from pyglet.media.Player)

## Constants

| EOS_STOP = ``'``stop``'``
| EOS_LOOP = ``'``loop``'`` (Inherited from pyglet.media.Player)
| EOS_NEXT = ``'``next``'`` (Inherited from pyglet.media.Player)
| EOS_PAUSE = ``'``pause``'`` (Inherited from pyglet.media.Player)

## Method Details

### __init__

(Constructor) __init__(self)

Overrides:
  Player.__init__

## Property Details

### eos_action

The fixed eos_action is EOS_STOP, in which the player is discarded as soon as the source has finished.

Read-only.

Type:
  str